# $Revision: 1.97 $, $Date: 2008/11/06 17:01:12 $
Summary:	Text to Postscript filter
Summary(ja.UTF-8):	テキスト→PostScript フィルタ
Summary(pl.UTF-8):	Filtr text/plain do Postscriptu
Summary(zh_CN.UTF-8):	纯文本到Postscript转换器
Name:		a2ps
Version:	4.14
Release:	2
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/a2ps/%{name}-%{version}.tar.gz
# Source0-md5:	781ac3d9b213fa3e1ed0d79f986dc8c7
Source1:	ftp://ftp.enst.fr/pub/unix/a2ps/i18n-fonts-0.1.tar.gz
# Source1-md5:	fee1456d0e6e94af4fc5b5a1bb9687b7
Source2:	ogonkify.1.pl
Patch0:		%{name}-info.patch
Patch1:		%{name}-security.patch
Patch2:		%{name}-etc.patch
Patch3:		%{name}-flex.patch
Patch4:		%{name}-conf.patch
Patch5:		%{name}-glibcpaper.patch
Patch6:		%{name}-autoenc.patch
Patch7:		%{name}-i18n.patch
Patch8:		%{name}-ogonkify-xfig-fix.patch
Patch9:		%{name}-pl.po-update.patch
Patch10:	%{name}-locale-names.patch
Patch11:	%{name}-atan2.patch
URL:		http://www.gnu.org/software/a2ps/
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gperf
BuildRequires:	libpaper-devel
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
Requires:	psutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/a2ps

%description
a2ps is a text to PostScript filter with pretty-printing capabilities.
It includes support for a wide number of programming languages,
encodings (ISO Latins, Cyrillic etc.), medias, and spoken languages
(for the interface). It has also the ability to delegate the
processing of some files to other applications, letting you print DVI,
PostScript etc. with the very same interface.

%description -l pl.UTF-8
A2ps jest programem pozwalającym na ładne drukowanie plików tekstowych
w PostScript. Posiada wsparcie dla wielu różnych języków
programowania, zestawów znaków (ISO Latins, Cyrilica etc.), wielkości
papieru, i języków komunikacji z użytkownikiem. Potrafi także
przekazać przetwarzanie plików do innych programów (tak, że można
wszystko drukować (DVI, PostScript) przy użyciu tego samego polecenia.
Zawiera program ,,ogonkify'' poprawiający błędnie zakodowany
PostScript zawierający polskie znaki.

%package devel
Summary:	Header files for a2ps library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki a2ps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for a2ps library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki a2ps.

%package static
Summary:	a2ps static library
Summary(pl.UTF-8):	Biblioteka statyczna a2ps
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
a2ps static library.

%description static -l pl.UTF-8
Biblioteka statyczna a2ps.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1

mv -f po/{no,nb}.po

%build
cp -f /usr/share/automake/config.* auxdir
%configure \
	--with-gnu-gettext \
	--with-medium=_glibc  \
	--with-encoding=latin1 \
	--enable-shared \
	--enable-kanji
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/a2ps/{afm,fonts} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__perl} -pi -e 's/^lispdir = $/lispdir = \$(prefix)\/lib\/emacs\/site-lisp/g' contrib/emacs/Makefile

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install i18n-fonts-0.1/afm/*.afm $RPM_BUILD_ROOT%{_datadir}/a2ps/afm
install i18n-fonts-0.1/fonts/*.pfb $RPM_BUILD_ROOT%{_datadir}/a2ps/fonts
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/a2ps-site.cfg
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/liba2ps.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liba2ps.so.1
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*

%dir %{_datadir}/a2ps
%dir %{_datadir}/a2ps/afm
%{_datadir}/a2ps/afm/*.afm
%{_datadir}/a2ps/afm/*.map
%attr(755,root,root) %{_datadir}/a2ps/afm/*.sh

%{_datadir}/a2ps/encoding
%{_datadir}/a2ps/fonts
%{_datadir}/a2ps/ppd
%{_datadir}/a2ps/ps
%{_datadir}/a2ps/sheets

%dir %{_datadir}/ogonkify
%{_datadir}/ogonkify/*.enc
%{_datadir}/ogonkify/*.ps
%{_datadir}/ogonkify/afm
%{_datadir}/ogonkify/fonts

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liba2ps.so
%{_libdir}/liba2ps.la
%{_includedir}/liba2ps.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liba2ps.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: a2ps.spec,v $
Revision 1.97  2008/11/06 17:01:12  qboosh
- updated pl.po-update patch
- use plain configure macro
- cleanups
- GPL v3 now

Revision 1.96  2008/11/05 16:49:48  pawelz
- build it with libpaper (s/BC: libpaper-devel/BR: libpaper-devel)
- removed TODO
- rel 2

Revision 1.95  2008/11/05 08:07:23  pawelz
- new url (project is hosted @ gnu.org now)

Revision 1.94  2008/11/04 16:10:01  pawelz
- rel 1
- STBR

Revision 1.93  2008/11/04 16:04:53  pawelz
- adapterized

Revision 1.92  2008/11/04 15:59:24  pawelz
- removed outdated patches

Revision 1.91  2008/11/04 15:53:20  pawelz
- BR: gperf

Revision 1.90  2008/11/04 15:44:54  pawelz
- more verbose %%files
- %%ghost so symlink

Revision 1.89  2008/11/04 15:36:16  pawelz
- started update o 4.14
- new source url

Revision 1.88  2008/10/20 01:59:16  draenog
- psset.patch
- rel. 31, STBR

Revision 1.87  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.86  2007/09/05 16:31:14  baggins
- rel 30
- BC: libpaper, TODO added

Revision 1.85  2007/09/05 16:07:32  baggins
- BR libpaper-devel

Revision 1.84  2007/09/05 11:20:24  baggins
- rel 29

Revision 1.83  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.82  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.81  2006/11/21 11:24:56  tiwek
linking liba2ps with libm; STBR

Revision 1.80  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.79  2004/12/20 18:58:07  qboosh
- BR: texinfo

Revision 1.78  2004/12/13 13:39:05  krolik
- added security patch, rel. 28
- STBR

Revision 1.77  2004/08/28 16:02:08  grzegol
- added malloc patch (remove unneccessary redeclaration of malloc - buildfix)

Revision 1.76  2004/08/09 19:01:45  arekm
- rel 27

Revision 1.75  2004/05/17 21:31:16  qboosh
- fixed SEGV in autoenc patch (by Marcin Krol)
- added locale-names patch, rename no->nb
- strict internal deps, release 26

Revision 1.74  2003/11/25 09:59:21  averne
- r25

Revision 1.73  2003/11/23 22:10:40  qboosh
- added pl.po-update patch
- refresh config.* (needed on athlon)
- release 24

Revision 1.72  2003/08/11 20:44:51  ankry
cosmetics

Revision 1.71  2003/08/06 16:03:25  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.70  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.69  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.68  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2002/12/12 01:33:16  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.66  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.65  2002/06/04 20:32:08  kloczek
- cosmetics.

Revision 1.64  2002/06/04 11:32:58  mis
- added a2ps-ogonkify-xfig-fix.patch; release 23

Revision 1.63  2002/05/28 05:37:44  kloczek
- release 22: merge translalations from TurboLinux and use new %doc.

Revision 1.62  2002/04/25 15:40:32  arturs
fixed a small typo

Revision 1.61  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.60  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.59  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.58  2001/11/26 19:06:34  qboosh
- fixed and enabled security patch
- -devel and -static group changed to Development/Libraries
- release 20

Revision 1.57  2001/11/25 19:58:57  ankry
- added man/pl/man1/ogonkify.1
- release 19

Revision 1.56  2001/10/31 10:47:54  qboosh
- adapterized, cosmetics

Revision 1.55  2001/08/28 18:57:15  filon
- release 18

Revision 1.54  2001/08/28 18:45:11  filon
- commented wrong patch, fixed

Revision 1.53  2001/08/28 18:04:20  filon
- commented out security patch, it causes segfault

Revision 1.52  2001/08/18 15:33:31  filon
- reverting last change - requires: nss_db

Revision 1.51  2001/08/18 14:57:13  filon
- added requires nss_db (strace shows loading this library)

Revision 1.50  2001/07/26 06:25:56  kloczek
- release 17
- s/%configure2_13/%configure/ - seems ac suit in a2ps is outdated and need
  many work for use with ac 2.5x.

Revision 1.49  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/06/27 16:11:40  qboosh
- info patch: fixed ogonkify.texi (one tab too much)
- conf patch: added standard PLD Type1 fonts and AFMs paths
- release 16

Revision 1.45  2001/06/23 14:52:57  mkochano
- Release 15.
- Added i18n patch. It sest LC_NUMERIC to C to make sure dot will be
  used to separate fractional part of numbers. Some locales (polish, for
  example) use comma, but this violates PostScript.

Revision 1.44  2001/03/07 19:36:46  kloczek
- release 14,
- merge rawhide patches (eucjp not included because this makes problem with
  build a2ps in automake > 1.4 environment),
- spec adaptrized,
- added more fonts (Source1: ftp://ftp.enst.fr/pub/unix/a2ps/i18n-fonts-0.1.tar.gz).

Revision 1.43  2001/03/07 18:59:18  qboosh
- missing dir: %%{_datadir}/a2ps

Revision 1.42  2000/12/31 12:30:31  ziembor
add  --sysconfdir=/etc/a2ps to %configure (required to proper build under
RPM 3.0.5 from redhat 6.2).

Revision 1.41  2000/10/04 02:56:15  kloczek
- release 4: use rpm new automation suit.

Revision 1.40  2000/08/31 06:00:51  kloczek
- release 3.

Revision 1.39  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.38  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/26 00:02:28  kloczek
- release 2,
- added %dir %%{_sysconfdir} to %files.

Revision 1.35  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.34  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.33  2000/05/01 20:11:39  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.32  2000/04/08 08:56:46  cieciwa
- fixed source name, from *.tgz to *.tar.gz.

Revision 1.31  2000/04/08 08:55:08  cieciwa
- updated to version 4.13b,
- release 1,
- added "-n %{name}-4.13" to setup.

Revision 1.30  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.28  2000/01/30 11:53:26  bszx
 Added %{_datadir}/ogonkify/afm and %{_datadir}/ogonkify/fonts to %files

Revision 1.27  1999/12/18 12:01:37  kloczek
- added missing "Prereq: /sbin/ldconfig".

Revision 1.26  1999/12/18 11:56:26  kloczek
- updated to 4.12h,
- more rpm macros and added usinf %%configure macro,
- added using %%{_sysconfdir} mcro and changed location %%{_sysconfdir} files to
  /etc/a2ps,
- enable building shared libraries,
- adapterized.

Revision 1.25  1999/09/15 21:22:48  kloczek
- add sed_fix patch for sed command expression (strange seems that sed on
  sparc nad x86 have not the same command syntax),
- patch from http://www.penguin.cz/~stano/code/a2ps-xkbprint.patch
  fix for xkbprint support for ogonkify.

Revision 1.24  1999/09/15 20:41:34  kloczek
- release 3,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir.
